TestPosList Class Reference
Inheritance diagram for TestPosList:
[legend]
Collaboration diagram for TestPosList:
[legend]

## Public Member Functions

void | testPosList ()
Public Member Functions inherited from PosList
| PosList ()
| Constructor.
| PosList (int numRefs, int numPositions)
| Reserves space for numRefs reference ids and numPositions for each id.
virtual | ~PosList ()
| Destructor.
void | addPosition (int refID, int refPosition)
| Add the specified reference id/position (negative values will not be added).
bool | hasPosition (int refID, int refPosition)
| Return whether or not this list contains the specified reference ID and position (negative values will automatically return false).

## Additional Inherited Members

Protected Member Functions inherited from PosList
| PosList (const PosList &p)
void | initVars ()
Protected Attributes inherited from PosList
std::vector< std::vector< bool > > | myPosList
int | myNumRefs
int | myNumPos

## Detailed Description

Definition at line 22 of file TestPosList.h.

The documentation for this class was generated from the following files:

- bam/test/TestPosList.h
- bam/test/TestPosList.cpp